Skip to main content
Webhook

List Webhooks

Return all non-deleted Webhooks in the current workspace

GET
/api/v1/agentstudio/webhook_endpoints
cURL
curl --request GET \
  --url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/webhook_endpoints' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "data": [
    {
      "id": "wep_01JXX7YQGPRPV1BZXA35QE7WDP",
      "description": "生产环境会话事件",
      "url": "https://example.com/managedagent/webhooks",
      "events": [
        "session.updated",
        "session.status_idled",
        "session.thread_terminated"
      ],
      "status": "ACTIVE",
      "disabled_reason": null,
      "consecutive_fail": 2,
      "last_success_at": "2026-08-06T10:05:00Z",
      "last_failure_at": "2026-08-06T10:10:00Z",
      "created_at": "2026-08-06T10:00:00Z",
      "updated_at": "2026-08-06T10:00:00Z"
    }
  ],
  "request_id": "8e1d16e4"
}

Authorizations

string
header
required

DashScope API Key

Response

200-application/json
object[]
string
Overview
Sandbox API
Memory API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview